/*
 * CSS for jsPsych experiments. Kool Task Stake Version
 *
 * This stylesheet provides minimal styling to make jsPsych
 * experiments look polished without any additional styles.
 */

 @import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700);

/* Container holding jsPsych content */
 .jspsych-display-element {
   display: flex;
   flex-direction: column;
   overflow-y: auto;
 }

 .jspsych-display-element:focus {
   outline: none;
 }

 .jspsych-content-wrapper {
   display: flex;
   margin: auto;
   flex: 1 1 100%;
   width: 100%;
 }

 .jspsych-content {
   max-width: 95%; /* this is mainly an IE 10-11 fix */
   text-align: center;
   margin: auto; /* this is for overflowing content */
 }

 .jspsych-top {
   align-items: flex-start;
 }

 .jspsych-middle {
   align-items: center;
 }

/* fonts and type */
.jspsych-display-element {
  font-family: 'Open Sans', 'Arial', sans-serif;
  font-size: 18px;
  line-height: 1.6em;
}

/* Form elements like input fields and buttons */
.jspsych-display-element input[type="text"] {
  font-family: 'Open Sans', 'Arial', sans-serif;
  font-size: 14px;
}

/* borrowing Bootstrap style for btn elements, but combining styles a bit */
.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 14px;
  font-weight: 400;
  font-family: 'Open Sans', 'Arial', sans-serif;
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 4px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
}

.jspsych-btn:hover {
  background-color: #ddd;
  border-color: #aaa;
}

.jspsych-btn:disabled {
  background-color: #eee;
  color: #aaa;
  border-color: #ccc;
  cursor: not-allowed;
}
/*
 * PLUGIN: jspsych-instructions
 */
 .jspsych-instructions-nav {
   text-align: center;
   margin-top: 2em;
 }

 .jspsych-instructions-nav button {
   margin: 20px;
 }

/*
 * Classes for changing location of things
 */
.left {
    float: left;
}

.right {
    float: right;
}

.center-content {
    text-align: center;
}

/* Control appearance of jsPsych.data.displayData() */
#jspsych-data-display {
  text-align: left;
}

/*
 *
 * Container holding jsPsych content
 *
 */

.jspsych-display-element {
    width: 800px;
    margin: 50px auto 50px auto;
	background-repeat: no-repeat;
	background-position: center;
	height: 400px;
}


/*
 * PLUGIN: jspsych-2step
 */

 #jspsych-2step-top-stake {
 	display: inline-block;
 	margin-top: 35px;
 	margin-bottom: 0px;
 	width: 100px;
 	height: 100px;
 	font-family: Arial;
 	color:#b8fff6;
 	background-color:#0738db;
 	border: 5px solid #197bff;
 	border-radius: 10px;
  vertical-align:middle;
  font-size: 100%;
  line-height:100px;
 }

 #jspsych-2step-mini-stake {
 	display: left;
 	margin-top: 10px;
 	margin-bottom: 0px;
  margin-left: 10px;
 	width: 50px;
 	height: 50px;
 	font-family: Arial;
 	color:#b8fff6;
 	background-color:#0738db;
 	border: 5px solid #197bff;
 	border-radius: 10px;
 	text-align: center;
  vertical-align:left;
  font-size: 150%;
  line-height:50px;
 }
 
 #jspsych-2step-mini-stake span{
     line-height:50px;
 }

 #jspsych-2step-content-top-left, #jspsych-2step-content-top-middle, #jspsych-2step-content-top-right {
   position: relative;
   display: inline-block;
   width: 169px;
   height: 188px;
   background-repeat: no-repeat;
   background-position: 40% 100%;
   border-width: 4px;
   border-style: dashed;
   border-color: rgba(0, 0, 0, 0);
   text-align: center;
   vertical-align: top;
  }

 #jspsych-2step-content-top-middle {
  font-size: 300%;
  display: inline-block;
 }

#jspsych-2step-content-bottom-left, #jspsych-2step-content-bottom-middle, #jspsych-2step-content-bottom-right {
 position: relative;
 display: inline-block;
 margin-top: 5px;
 width: 169px;
 height: 188px;
 background-repeat: no-repeat;
 outline-width: 4px;
 outline-style: dashed;
 outline-color: rgba(0,0,0,0);
 vertical-align: top;
 background-position: center;
 font-size: 500%;
}

/*
 *
 * PLUGIN: jspsych-survey-text
 *
 */

 .jspsych-survey-text {
     margin: 0.25em 0em;
 }

 .jspsych-survey-text-question {
     margin: 2em 0em;
 }

 /*
  *
  * PLUGIN: jspsych-survey-likert
  *
  */

.jspsych-survey-likert-sliderlabels {
  font-size: 75%;
  line-height: 1.15em;
}

.jspsych-survey-likert-question {
  margin-top: 2em;
  margin-bottom: 2em;
}

.jspsych-survey-likert-text {
  text-align: center;
}

#jspsych-survey-likert-next {
  display: block;
  margin: auto;
}

/*check i this makes preamble in Lsas bigger? appearance still ok for other questionnaires?, else delete */

.jspsych-survey-likert-preamble {
	font-size: 120%;
  }

#jspsych-survey-likert-next {
  display: block;
  margin: auto;
  padding-top: 0px;
  padding-bottom: 0px
}

/*
  *
* PLUGIN: jspsych-survey-multi-choice (added)
 *
 */

 .jspsych-survey-multi-choice-preamble {
	font-size: 120%;
    line-height: 1em;
	margin-top: 25px;
 }

 .jspsych-survey-multi-choice-question{
	font-size: 100%;
    line-height: 1em;
	margin-top: 18px;
	margin-bottom: 15px;
 }

